package com.tykj.dev.rfid.service;

import com.tykj.dev.rfid.entity.domin.LibraryWarningLog;
import com.tykj.dev.rfid.entity.vo.LibraryWarningLogSelectVo;
import com.tykj.dev.rfid.entity.vo.WarningCountVo;
import com.tykj.dev.rfid.entity.vo.WarningDetailListVo;
import com.tykj.dev.rfid.entity.vo.WarningHandleVo;
import org.springframework.data.domain.Page;

import java.text.ParseException;
import java.util.List;

/**
 * @author dengdiyi
 */
public interface LibraryWarningLogService {

   LibraryWarningLog addEntity(LibraryWarningLog libraryWarningLog);

   Page<LibraryWarningLog> getPage(LibraryWarningLogSelectVo libraryWarningLogSelectVo) throws ParseException;

   List<WarningDetailListVo> getWarningDetail(Integer warningId,Boolean isHandle);

   Integer updateDetailHandleResult(WarningHandleVo warningHandleVo);

   LibraryWarningLog getOne(Integer id);

   WarningCountVo getCount(LibraryWarningLogSelectVo libraryWarningLogSelectVo) throws ParseException;

   LibraryWarningLog update(LibraryWarningLog libraryWarningLog);
}
